Bug 215281 - IllegalStateException: Too many org.netbeans.modules.progress.ui.RunOffEDTImpl$CancellableFutureTask (3) in shared RequestProcessor; create your own
IllegalStateException: Too many org.netbeans.modules.progress.ui.RunOffEDTImp...
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Progress
7.2
All All
: P3 (vote)
: 7.3
Assigned To: Jan Peska
issues@platform
EXCEPTIONS_REPORT
:
Depends on:
Blocks: 219131
  Show dependency treegraph
 
Reported: 2012-07-09 11:59 UTC by asenk
Modified: 2012-09-30 09:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (10.68 KB, text/plain)
2012-07-09 11:59 UTC, asenk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description asenk 2012-07-09 11:59:39 UTC
Build: NetBeans IDE Dev (Build 201207090002)
VM: Java HotSpot(TM) Client VM, 23.1-b03, Java(TM) SE Runtime Environment, 1.7.0_05-b05
OS: Windows 7

User Comments:
asenk: 1. Create a new Java Application project with default options
2. Launch the "New File" wizard and select, "Master/Detail Sample Form" file
from "Swing GUI Forms" category
3. Give it name, pick package for it & hit next
4. Pick the default "Sample" database from your JavaDB database, & select the
"CUSTOMER" table, hit next
5. For "Create Detail Area as" option, select Table




Stacktrace: 
java.lang.IllegalStateException: Too many org.netbeans.modules.progress.ui.RunOffEDTImpl$CancellableFutureTask (3) in shared RequestProcessor; create your own
   at org.openide.util.RequestProcessor$Task.schedule(RequestProcessor.java:1493)
   at org.netbeans.modules.progress.ui.AbstractWindowRunner.windowOpened(AbstractWindowRunner.java:149)
   at java.awt.AWTEventMulticaster.windowOpened(AWTEventMulticaster.java:339)
   at java.awt.Window.processWindowEvent(Window.java:2048)
   at javax.swing.JDialog.processWindowEvent(JDialog.java:681)
   at java.awt.Window.processEvent(Window.java:2009)
Comment 1 asenk 2012-07-09 11:59:43 UTC
Created attachment 121829 [details]
stacktrace
Comment 2 Jan Peska 2012-09-19 09:44:53 UTC
fix: http://hg.netbeans.org/core-main/rev/e5b91ff2c22b
Comment 3 Quality Engineering 2012-09-21 02:27:00 UTC
Integrated into 'main-golden', will be available in build *201209210001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e5b91ff2c22b
User: Jan Peska <JPESKA@netbeans.org>
Log: Issue #215281 - IllegalStateException: Too many org.netbeans.modules.progress.ui.RunOffEDTImpl$CancellableFutureTask (3) in shared RequestProcessor; create your own
Replace default request processor by my own


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo